package com.prolog.eis.service.shelves;

import com.prolog.eis.model.shelves.DismantlingLocationHitRecord;
import com.prolog.framework.core.restriction.Criteria;

import java.util.List;
import java.util.Map;

public interface DismantlingLocationHitRecordService {

    long saveBatch(List<DismantlingLocationHitRecord> dismantlingLocationHitRecords);

    long deleteById(Integer id);

    List<DismantlingLocationHitRecord> findByCriteria(Criteria criteria);

    void toHis(String taskId, String location);

    void toHis(String taskId);

    long updateMapByCriteria(Map<String, Object> map, Criteria criteria);

    void deleteByMap(Map<String, Object> map);

    /**
     * 通过托盘查询上架关联任务
     *
     * @param containerNo
     * @return
     */
    List<DismantlingLocationHitRecord> findByContainerNo(String containerNo);
}
